#ifndef DUNE_CURVED_SURFACE_GRID_VTUREADER_HH
#define DUNE_CURVED_SURFACE_GRID_VTUREADER_HH

#include <dune/curvedsurfacegrid/surfacedistance/datastructures.hh>

namespace Dune{ namespace Curved{

void read_vtu_file(std::string file, Mesh &m,
                   std::vector<DataVector*> &vecs, std::vector<DataVector*> &element_vecs);

inline void read_vtu_file(std::string file, Mesh &m){ //$ACL_exclude
  std::vector<DataVector*> vecs;
  std::vector<DataVector*> element_vecs;
  read_vtu_file(file, m, vecs, element_vecs);
}

}} //end namespace Dune::CurvedGeo

#endif //DUNE_CURVED_SURFACE_GRID_VTUREADER_HH
